<?php

/**
 * Implementiert das Neustarten und Zurücksetzten des Gateways
 * @author Miguel Palmer <mp@beronet.com>
 */
class RebootReset {
	
	/**
	 * Generiert die HTML Seite
	 * @return string HTML code
	 */
	function display() {

		$name = "REBOOT_RESET_TITLE_DIS";
		include('./includes/header.php');

		if ($_POST['v'] != "Yes") :
			ob_start();
			?>
			<br>
			<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_REB_DIS ?></p>
			<form action='./reboot.php' method='POST' name='reboot' onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_REBOOT_DIS ?>");'>
				<input type='hidden' name='action' value='reboot'>
				<input type='hidden' name='v' value='Yes'>
				<div class="text-center">
					<input type='submit' class='btn btn-default' name='submit' style='margin-top:5px;'
						   value='<? echo REBOOT_RESET_BUTTON_REBOOT_DIS ?>'>
				</div>
			</form>
			<br>
			<br>
			<form class='form-horizontal' action='modules/RebootReset/recreate.php?val=yes' method='POST' name='reset' 
				  onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_RESET_DIS ?>);'>
				<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_RESET_DIS ?></p>
				<p class="text-center lead"><? echo REBOOT_RESET_KEEP_SETTINGS_DIS ?></p>

				<div class="form-group">
					<label for='keep_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_cloud_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_CLOUD_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_cloud_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_sip_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SIP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_sip_set' id='keep_sip_set' style='margin-top:5px;'>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_app_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_APP_CONFIG_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_app_set' id='keep_app_set' style='margin-top:5px;'>
					</div>
				</div>	
				<div class="form-group">
					<label for='keep_prefix_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_PREFIX_SETTING_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_prefix_set' id='keep_app_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<br>
				<div class='text-center'>
					<input type='submit' class='btn btn-default' name='v' class='resetB' value='<? echo REBOOT_RESET_BUTTON_FACT_RES_DIS ?>'>&nbsp;
					<input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>
				</div>
			</form>
			<script type="text/javascript">
				$('#keep_sip_set').change(function () {
					if ($(this).attr('checked'))
						$('#wizardbutton').attr('style', 'display:none;');
					else
						$('#wizardbutton').attr('style', 'display:inline;');
				});
			</script>
		<?
		endif;
		$ret .= ob_get_clean();

		// Rückgabe: Der Inhalt von der HTML-Seite
		return $ret;
	}

}
?>
